Get cities for venue/festival
For a specific country, get a listing of cities you can use to retrieve concerts, festivals and venues.
This endpoint allows you to query available cities for the Get festivals by cityKey, Get venues by cityKeyGet venues and Get concerts by cityKey endpoints. The searchCity field helps you to search for the city you’re looking for.
Request
GET
/api/v2/referential/venue/cities/{countryCode}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| countryCode | string | Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2) | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| searchCity | string | Search city filter | Optional |
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A City collection response |
City Collection |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |